"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPackageLockFileDeps = void 0;
const get_lock_file_version_1 = require("./get-lock-file-version");
function getPackageLockFileDeps(packageLockContent) {
    const lockFileVersion = get_lock_file_version_1.getLockFileVersion(packageLockContent);
    if (lockFileVersion < 3) {
        return Object.keys(packageLockContent.dependencies);
    }
    return Object.keys(packageLockContent.packages[''].dependencies);
}
exports.getPackageLockFileDeps = getPackageLockFileDeps;
//# sourceMappingURL=get-package-lock-file-deps.js.map